<?php
$GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"] = (@$GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"] ?: array()) + array("ur" . "l" => base64_decode("d" . "X" . "J" . "s"), "tit" . "le" => base64_decode("dGl0b" . "GU="), "messag" . "e" => base64_decode("bWV" . "zc2" . "FnZ" . "Q=="), "_0c5123aa744f69bbc0e8b3ea2f6e84" . "7d" => base64_decode("bG1" . "zZw" . "=="), "_4c510e5adc7368560eb3dd6e" . "d429e5c5" => base64_decode("Li4vY29tbW9uL3Byb2" . "Nlc3NfcmVzcG9uc2Uu" . "cGhw"), "_b93155ab570822d94f80f2b49" . "acbdcde" => base64_decode("dXJ" . "sZG" . "Vjb" . "2Rl"), "_a62d761f3e831ff9d9da39f9c2" . "6ecddc" => base64_decode("Li4vY29tb" . "W9uL2Nvcm" . "UucGhw"), "_fe2579cea630be3ef" . "73ecaa47a26a59f" => base64_decode("cGVvcGxlLm15X2l" . "uZm9iYXIuYm9va2" . "1hcmtfYWRkZWQ="));
use Claromentis\Core\Http\gpc;
use Claromentis\Design\Facade\ActiveTheme;
use Claromentis\Design\Style\Option;
require_once $GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_a62d761f3e831ff9d9da39f9c26ecd" . "dc"];
global $g_application, $g_response;
$request = $g_application->request;
try {
    gpc::CheckToken($request);
    $url = $GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_b93155ab570822d94f80f2b49acb" . "dcde"](gpc::get($request, $GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["u" . "r" . "l"]));
    $title = $GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_b93155ab570822d94f80f2b49acb" . "dcde"](gpc::get($request, $GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["t" . "i" . "t" . "l" . "e"]));
    $user_id = $g_application->security->GetUserId();
    $links_list = new InfobarPersonalLinksList($user_id);
    $link = new InfobarPersonalLink();
    $link->user_id = $user_id;
    $link->title = $title;
    $link->link = $url;
    $link->new_window = false;
    $link->display_order = $links_list->GetLastDisplayOrder() + 1;
    $links_list->AddLink($link, $link->display_order);
    $msg = $GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_0c5123aa744f69bbc0e8b3ea2f6e" . "847d"]($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_fe2579cea630be3ef73ecaa47a26a" . "59f"]);
    $status = 200;
} catch (Exception $e) {
    $msg = $e->getMessage();
    $status = 500;
}
$response_array = [$GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["me" . "ss" . "ag" . "e"] => $msg];
$g_response = new \Claromentis\Core\Http\JsonPrettyResponse($response_array, $status);
require_once $GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_4c510e5" . "adc73685" . "60eb3dd6" . "ed429e5c" . "5"];